RabbitMQ packaged by VMware - Use Helm v3 with the chart

On November 13, 2020, Helm v2 support formally ended. Subsequently, a major version of the chart was released to incorporate the different features added in Helm v3 and to be consistent with the Helm project itself regarding the Helm v2 EOL.

Changes introduced

  • Previous versions of this Helm chart used apiVersion: v1 (installable by both Helm v2 and v3). This Helm chart was updated to apiVersion: v2 (installable by Helm v3 only). Learn more about the apiVersion field.
  • The different fields present in the Chart.yaml file were reordered alphabetically in a homogeneous way.
  • Dependency information was transferred from the requirements.yaml to the Chart.yaml file.
  • After running helm dependency update, a Chart.lock file is generated containing the same structure used in the previous requirements.lock file.

Upgrade considerations

  • No issues should be encountered when upgrading to this version of the chart from a previous one installed with Helm v3.
  • Upgrading to this version of the chart using Helm v2 is not supported any longer.
  • For chart versions installed with Helm v2 and subsequently requiring upgrade with Helm v3, refer to the official Helm documentation about migrating from Helm v2 to v3.

If you encounter difficulties when upgrading the chart due to the different versions of Helm, refer to the following links for possible explanations and solutions:

check-circle-line exclamation-circle-line close-line
Scroll to top icon